package lcsb.mapviewer.model.graphics;

import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertTrue;
import static org.junit.Assert.fail;

import org.apache.commons.lang3.SerializationUtils;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import lcsb.mapviewer.common.exception.NotImplementedException;

public class ArrowTypeDataTest {

  @Before
  public void setUp() throws Exception {
  }

  @After
  public void tearDown() throws Exception {
  }

  @Test
  public void testSerialization() {
    try {
      SerializationUtils.serialize(new ArrowTypeData());
    } catch (Exception e) {
      e.printStackTrace();
      throw e;
    }
  }

  @Test
  public void testCopy() {
    try {
      ArrowTypeData original = new ArrowTypeData();
      ArrowTypeData degraded = original.copy();
      assertNotNull(degraded);
    } catch (Exception e) {
      e.printStackTrace();
      throw e;
    }
  }

  @Test
  public void testEquals() {
    try {
      ArrowTypeData original = new ArrowTypeData();
      original.setAngle(12);
      ArrowTypeData copy = original.copy();

      assertTrue(original.equals(copy));

    } catch (Exception e) {
      e.printStackTrace();
      throw e;
    }
  }

  @Test
  public void testInvalidCopy() {
    try {
      new ArrowTypeData() {

        /**
         * 
         */
        private static final long serialVersionUID = 1L;
      }.copy();
      fail("Exception expected");
    } catch (NotImplementedException e) {
    } catch (Exception e) {
      e.printStackTrace();
      throw e;
    }
  }

}
