package lcsb.mapviewer.persist;

import java.sql.Connection;
import java.sql.SQLException;

import javax.sql.DataSource;

import org.apache.log4j.Logger;
import org.flywaydb.core.Flyway;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.datasource.init.DatabasePopulator;
import org.springframework.jdbc.datasource.init.ScriptException;
import org.springframework.stereotype.Service;


@Service
public class CustomDatabasePopulator implements DatabasePopulator {

  Logger logger = Logger.getLogger(CustomDatabasePopulator.class);

  private ConfigurationHolder config;

  private DataSource dataSource;

  @Autowired
  public CustomDatabasePopulator(ConfigurationHolder config, DataSource dataSource) {
    this.config = config;
    this.dataSource = dataSource;
  }

  @Override
  public void populate(Connection connection) throws SQLException, ScriptException {
    Flyway flyway = new Flyway();
    flyway.setDataSource(config.getDbUri(), config.getDbUsername(), config.getDbPassword());
    flyway.setBaselineVersionAsString("12.1.0");
    flyway.setOutOfOrder(true);
    flyway.setBaselineOnMigrate(true);
    flyway.setValidateOnMigrate(false);
    flyway.migrate();

  }

  public DataSource getDataSource() {
    return dataSource;
  }

  public void setDataSource(DataSource dataSource) {
    this.dataSource = dataSource;
  }

}
