/**
 * This package provides interface to access data in <a
 * href="http://www.reactome.org/">Reactome</a> database. Information from this
 * database are retrieved using <a href=
 * "http://reactome.org/ReactomeRESTfulAPI/ReactomeRESTFulAPI.html"
 * > Reactome RESTful API</a>. Reactome model was implemented in
 * {@link lcsb.mapviewer.reactome.model model} subpackage. By design all
 * reactome objects inherit from
 * {@link lcsb.mapviewer.reactome.model.ReactomeDatabaseObject
 * ReactomeDatabaseObject} class.
 * <p/>
 * Direct access to elements can be done via
 * {@link lcsb.mapviewer.reactome.utils.ReactomeConnector ReactomeConnector}
 * class. This class retrieves data from reactome database and returns it.
 * However, returned objects are special proxy objects (generated by
 * {@link lcsb.mapviewer.reactome.ReactomeDatabaseProxy ReactomeDatabaseProxy}.
 * These proxy objects contains references to subfields objects that will be
 * retrieved when needed. All queries to reactome database are stored in the
 * cache. So, when the same object is requested several times it will not be
 * retrieved from reactome but from local database copy.
 * <p/>
 * More information about cache can be found in
 * {@link lcsb.mapviewer.utils.cache.GeneralCacheInterface}
 */
package lcsb.mapviewer.reactome;

