package lcsb.mapviewer.reactome.xml.columnParser;

import org.w3c.dom.Node;

import lcsb.mapviewer.reactome.model.ReactomeSpecies;

/**
 * Parser for properties of Reactome
 * <a href= "https://reactome.org/content/schema/Species" >Species</a> object.
 * 
 * @author Piotr Gawron
 * 
 */
public class SpeciesColumnParser extends ColumnParser<ReactomeSpecies> {
  /**
   * Default constructor. Defines parser for super class of Species.
   */
  protected SpeciesColumnParser() {
    super(TaxonColumnParser.class);
  }

  @Override
  public void updateColumnFromNode(ReactomeSpecies object, Node node) {
    if (node.getNodeName().equalsIgnoreCase("abbreviation")) {
      object.setAbbreviation(node.getTextContent());
    } else {
      getParentParser().updateColumnFromNode(object, node);
    }
  }

}
